summaryrefslogtreecommitdiffstats
path: root/network/bluejeans/bluejeans.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/bluejeans/bluejeans.SlackBuild')
-rw-r--r--network/bluejeans/bluejeans.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/network/bluejeans/bluejeans.SlackBuild b/network/bluejeans/bluejeans.SlackBuild
index 4627a26c0a..08f04a2084 100644
--- a/network/bluejeans/bluejeans.SlackBuild
+++ b/network/bluejeans/bluejeans.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for bluejeans
-# Copyright 2019 Igor Alexandrov <igora.vault@gmail.com>
+# Copyright 2019, 2020 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=bluejeans
-VERSION=${VERSION:-2.1.0}
+VERSION=${VERSION:-2.2.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,6 +35,8 @@ if [ -z "$ARCH" ]; then
esac
fi
+set -e
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -48,8 +50,6 @@ if [ "$ARCH" != "x86_64" ]; then
exit 1
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
@@ -65,6 +65,10 @@ find -L . \
find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+sed -i \
+ 's#Categories=AudioVideo;#Categories=Network;InstantMessaging;#' \
+ usr/share/applications/bluejeans-v2.desktop
+
mkdir -p usr/{bin,doc/$PRGNAM-$VERSION}
ln -s ../../opt/$SRCNAM/$EXECNAM usr/bin/$PRGNAM
ln -s ../../../opt/$SRCNAM/LICENSE.electron.txt usr/doc/$PRGNAM-$VERSION